# template: foreman_plugin
%global gem_name foreman_rescue
%global plugin_name rescue
%global foreman_min_version 3.13

Name: rubygem-%{gem_name}
Version: 5.0.0
Release: 1%{?foremandist}%{?dist}
Summary: Provides the ability to boot a host into a rescue system
License: GPLv3
URL: https://github.com/dm-drogeriemarkt/foreman_rescue
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: foreman >= %{foreman_min_version}
BuildRequires: foreman-plugin >= %{foreman_min_version}
Requires: ruby >= 2.7
Requires: ruby < 4
BuildRequires: ruby >= 2.7
BuildRequires: ruby < 4
BuildRequires: rubygems-devel
BuildArch: noarch
Provides: foreman-plugin-%{plugin_name} = %{version}
# end specfile generated dependencies

%description
Foreman Plugin to provide the ability to boot a host into a rescue system.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%{gem_instdir}/locale
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_plugin}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%posttrans
%{foreman_plugin_log}

%changelog
* Sun May 18 2025 Foreman Packaging Automation <packaging@theforeman.org> - 5.0.0-1
- Update to 5.0.0

* Fri May 17 2024 Manuel Laug <laugmanuel@gmail.com> - 4.0.1-1
- Update foreman_rescue to 4.0.1

* Tue May 14 2024 Manuel Laug <laugmanuel@gmail.com> - 4.0.0-1
- Update foreman_rescue to 4.0.0

* Mon May 09 2022 Evgeni Golov - 3.0.0-3
- log plugin installation in posttrans

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 3.0.0-2
- Rebuild plugins for Ruby 2.7

* Fri Apr 03 2020 Timo Goebel <mail@timogoebel.name> - 3.0.0-1
- Update foreman_rescue to 3.0.0

* Tue Jan 07 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.0.1-2
- Drop migrate, seed and restart posttans

* Mon Jul 29 2019 Timo Goebel <mail@timogoebel.name> - 2.0.1-1
- Update foreman_rescue to 2.0.1

* Thu Nov 29 2018 Timo Goebel <mail@timogoebel.name> - 2.0.0-1
- Update foreman_rescue to 2.0.0

* Wed Sep 12 2018 Bryan Kearney <bryan.kearney@gmail.com> - 1.0.0-3
- Move licenes which are GPL-* to GPLv3

* Fri Sep 07 2018 Eric D. Helms <ericdhelms@gmail.com> - 1.0.0-2
- Rebuild for Rails 5.2 and Ruby 2.5

* Tue Jun 05 2018 Dirk Goetz <dirk.goetz@netways.de> 1.0.0-1
- Add rubygem-foreman_rescue generated by gem2rpm using the foreman_plugin template

